This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 246599 - Drag-drop of files crashes aMSN silently
Drag-drop of files crashes aMSN silently
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: amsn (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Sander Hoentjen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-03 07:35 EDT by James Buckle
Modified: 2008-06-16 21:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Buckle 2007-07-03 07:35:53 EDT
Description of problem:
If you randomly drag a file to initiate transfer you have a 70% chance of aMSN
crashing completely and silently.

Version-Release number of selected component (if applicable):
amsn-0.96-7.fc7

How reproducible:
70% of the time, approx, but no specific image. Images send fine when not
dragged and dropped.

Steps to Reproduce:
1.Open conversation window. 
2.Drag file onto screen
3.Watch.
  
Actual results:
aMSN vanishes, including main window and taskbar icon.

Expected results:
File to send?

Additional info:
I will run it from terminal and see if I can get more debug info from the next
crash.
Comment 1 James Buckle 2007-07-03 08:18:42 EDT
Terminal window output:

X Error of failed request:  BadAtom (invalid Atom parameter)
  Major opcode of failed request:  24 (X_ConvertSelection)
  Atom id in failed request:  0x1ce
  Serial number of failed request:  27494
  Current serial number in output stream:  27494
Comment 2 Sander Hoentjen 2007-07-03 11:27:29 EDT
I can't reproduce the problem. Can you open a status log in amsn (make sure the
contactlist is the active window and press CTRL+S) and type package require
tkdnd and tell me the output?
Also do you have something like compiz/beryl enabled? If so try without.
Comment 3 James Buckle 2007-07-03 12:12:42 EDT
>type package require tkdnd and tell me the output?
[17:01:19] Executing : package require tkdnd
[17:01:19] 1.0

No Beryl pr Compiz running, nothing out of the ordinary. I've just tried sending
one particular file too and fro between two usernames, one logged in on amsn and
one on pidgin and couldnt replicate it before this popped up from amsn:

can not find channel named "sock7"
    while executing
"fileevent sock7 writable {::MSNP2P::SendPacketExtEvent ::MSN::SB5 4822164
{INVITE MSNMSGR:robotsbxxx@sadamsnuser.com MSNSLP/1.0

To: <msnmsgr:robotsbxxx@sadamsnuser.com"
    ("after" script)

I'm not sure if its linked or coincidental.
Comment 4 Bug Zapper 2008-05-14 09:23:40 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:46:37 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.